<script>
  import { onMount } from 'svelte';
  import { tsParticles } from "tsparticles";

  onMount(() => {
    tsParticles.load("tsparticles", {
      particles: {
        number: {
          value: 80,
        },
        links: {
          enable: true,
          color: "#ffffff",
        },
        move: {
          enable: true,
          direction: "none",
          outMode: "bounce",
          random: false,
          speed: 2,
          straight: false,
        },
        shape: {
          type: "circle",
        },
        opacity: {
          value: 0.5,
        },
        size: {
          value: { min: 1, max: 5 },
        },
      },
      interactivity: {
        detectsOn: "canvas",
        events: {
          onClick: {
            enable: true,
            mode: "push",
          },
          onHover: {
            enable: true,
            mode: "repulse",
          },
          resize: true,
        },
        modes: {
          push: {
            quantity: 4,
          },
          repulse: {
            distance: 200,
            duration: 0.4,
          },
        },
      },
      detectRetina: true,
    });
  });
</script>

<div id="tsparticles" style="position:fixed; top:0; left:0; width:100%; height:100%; z-index:-1;"></div>
